#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Name:           ksvg
Summary:        KDE Frameworks 6 Tier 3 components for handling SVGs
Version: 6.14.0
Release:        %mkrel %rel
Group:          System/Base
License:        CC0-1.0 AND GPL-2.0-or-later AND LGPL-2.0-or-later
URL:            https://invent.kde.org/frameworks/ksvg
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ColorScheme)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6KirigamiPlatform)

BuildRequires:  pkgconfig(xkbcommon)

%description
KDE Frameworks 6 Tier 3 components for handling SVGs.

%files
%license LICENSES/*
%_kf6_categoriesdir/ksvg.categories
%_kf6_qmldir/org/kde/ksvg/

#--------------------------------------------------------------------

%define kf6svg_major 6
%define libkf6svg %mklibname kf6svg %{kf6svg_major}

%package -n %libkf6svg
Summary:        KDE Frameworks 6 Tier 2 classes to read and interact with KColorScheme
Group:          System/Libraries
Requires:       %{name} >= %version-%release

%description -n %libkf6svg
KDE Frameworks 6 Tier 2 classes to read and interact with KColorScheme.

%files -n %libkf6svg
%license LICENSES/*
%_kf6_libdir/libKF6Svg.so.%{kf6svg_major}{,.*}

#--------------------------------------------------------------------

%define kf6svg_devel %mklibname kf6svg -d

%package -n %kf6svg_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6svg = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6svg_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6svg_devel
%_kf6_includedir/KSvg/
%_kf6_libdir/cmake/KF6Svg/
%_kf6_libdir/libKF6Svg.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install


%changelog
* Sun May 11 2025 daviddavid <daviddavid> 6.14.0-1.mga10
+ Revision: 2182420
- New version 6.14.0

* Sun Apr 13 2025 daviddavid <daviddavid> 6.13.0-1.mga10
+ Revision: 2175147
- New version 6.13.0

* Sat Mar 15 2025 daviddavid <daviddavid> 6.12.0-1.mga10
+ Revision: 2164153
- New version 6.12.0

* Thu Jan 09 2025 daviddavid <daviddavid> 6.10.0-1.mga10
+ Revision: 2136420
- New version 6.10.0

* Fri Dec 20 2024 daviddavid <daviddavid> 6.9.0-1.mga10
+ Revision: 2126605
- New version 6.9.0

* Sat Nov 09 2024 daviddavid <daviddavid> 6.8.0-1.mga10
+ Revision: 2113107
- New version 6.8.0

* Fri Oct 11 2024 daviddavid <daviddavid> 6.7.0-1.mga10
+ Revision: 2104785
- New version 6.7.0

* Sat Sep 14 2024 daviddavid <daviddavid> 6.6.0-1.mga10
+ Revision: 2095947
- New version 6.6.0

* Fri Aug 09 2024 daviddavid <daviddavid> 6.5.0-1.mga10
+ Revision: 2084398
- New version 6.5.0

* Mon Jun 24 2024 neoclust <neoclust> 6.3.1-1.mga10
+ Revision: 2076441
- New version 6.3.1

* Fri Jun 07 2024 daviddavid <daviddavid> 6.3.0-1.mga10
+ Revision: 2070561
- New version 6.3.0

* Sat May 11 2024 daviddavid <daviddavid> 6.2.0-1.mga10
+ Revision: 2063420
- New version 6.2.0

* Sat Apr 13 2024 daviddavid <daviddavid> 6.1.0-1.mga10
+ Revision: 2056851
- New version 6.1.0

* Wed Feb 28 2024 neoclust <neoclust> 6.0.0-1.mga10
+ Revision: 2044949
- New version 6.0.0

* Tue Feb 06 2024 neoclust <neoclust> 5.249.0-1.mga10
+ Revision: 2037509
- New version 5.249.0

* Wed Jan 10 2024 neoclust <neoclust> 5.248.0-1.mga10
+ Revision: 2029602
- New version 5.248.0

* Mon Jan 01 2024 neoclust <neoclust> 5.247.0-1.mga10
+ Revision: 2025636
- New version 5.247.0
- New version 5.246.0

* Sat Nov 11 2023 daviddavid <daviddavid> 5.245.0-1.mga10
+ Revision: 2006076
- initial package ksvg

